session-attachments

Operations of the Interactive Session API. Paths are relative to your deployment's API host.

GET /api/agent-session-api/sessions/{id}/skills

List skills attached to this session

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyesSession id
StatusDescriptionBody
200application/json AttachedSkillDtoDataArrayEnvelope

POST /api/agent-session-api/sessions/{id}/skills

Attach a skill to this session at runtime

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyesSession id

Request body: application/json AttachSkillDto

StatusDescriptionBody
202application/json AttachedSkillDtoDataEnvelope

DELETE /api/agent-session-api/sessions/{id}/skills/{skillSlug}

Detach a skill from this session

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyesSession id
skillSlugpathstringyesSkill slug
StatusDescriptionBody
202application/json AttachedSkillDtoDataEnvelope